devel/bam - The NetBSD Packages Collection

Fast and flexible LUA-driven build system

Bam is a fast and flexible build system. Bam uses Lua to describe the
build process. It's takes its inspiration for the script files from
scons. While scons focuses on being 100% correct when building, bam
makes a few sacrifices to acquire fast full and incremental build times.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfbam-0.5.1.tgz
NetBSD 8.0earmv7hfbam-0.5.1.tgz
NetBSD 8.0earmv7hfbam-0.5.1.tgz
NetBSD 8.0i386bam-0.5.1.tgz
NetBSD 8.0i386bam-0.5.1.tgz
NetBSD 8.0i386bam-0.5.1.tgz
NetBSD 8.0powerpcbam-0.5.1.tgz
NetBSD 8.0powerpcbam-0.5.1.tgz
NetBSD 8.0powerpcbam-0.5.1.tgz
NetBSD 8.0x86_64bam-0.5.1.tgz
NetBSD 8.0x86_64bam-0.5.1.tgz
NetBSD 9.0aarch64bam-0.5.1.tgz
NetBSD 9.0aarch64bam-0.5.1.tgz
NetBSD 9.0aarch64bam-0.5.1.tgz
NetBSD 9.0alphabam-0.5.1.tgz
NetBSD 9.0alphabam-0.5.1.tgz
NetBSD 9.0alphabam-0.5.1.tgz
NetBSD 9.0earmbam-0.5.1.tgz
NetBSD 9.0earmv6hfbam-0.5.1.tgz
NetBSD 9.0earmv6hfbam-0.5.1.tgz
NetBSD 9.0earmv6hfbam-0.5.1.tgz
NetBSD 9.0earmv6hfbam-0.5.1.tgz
NetBSD 9.0earmv7hfbam-0.5.1.tgz
NetBSD 9.0earmv7hfbam-0.5.1.tgz
NetBSD 9.0earmv7hfbam-0.5.1.tgz
NetBSD 9.0earmv7hfbam-0.5.1.tgz
NetBSD 9.0i386bam-0.5.1.tgz
NetBSD 9.0i386bam-0.5.1.tgz
NetBSD 9.0mips64ebbam-0.5.1.tgz
NetBSD 9.0mips64ebbam-0.5.1.tgz
NetBSD 9.0mips64ebbam-0.5.1.tgz
NetBSD 9.0powerpcbam-0.5.1.tgz
NetBSD 9.0powerpcbam-0.5.1.tgz
NetBSD 9.0sparc64bam-0.5.1.tgz
NetBSD 9.0sparc64bam-0.5.1.tgz
NetBSD 9.0sparc64bam-0.5.1.tgz
NetBSD 9.0sparc64bam-0.5.1.tgz
NetBSD 9.0sparcbam-0.5.1.tgz
NetBSD 9.0sparcbam-0.5.1.tgz
NetBSD 9.0sparcbam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz
NetBSD 9.0x86_64bam-0.5.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.